カテゴリー
Windows

本家のお世話-#84。(PHP5.5.6へアップデート)

The same article in English

 Nov-13 20:57:44UTC に PHP5.5.6 が出た。

 ChangeLog によれば,バグフィックスがいくつかと,若干のパフォーマンス改善があるらしい。

 いつもどおり,我が家用 (Windows7HP+SP1(x86)) として,VC11 x86 Thread Safe 版の php-5.5.6-Win32-VC11-x86.zip を落としアップデート。 VC11 がいるので,インストールがまだの場合は PHP のコンフィグの前に vcredist_x__.exe を入れておく必要がある。

 php.ini-production は PHP の コメント文のシンボル ; の前に半角スペースが入っていたとかで,一ヶ所変わっていた。 bug #65939 ( —> [; size of the optimized code.])。で,自分とこの php.ini の中も訂正しておいた。自鯖には無関係のとこだったが,いつか関係するようになるかもしれんし。

 php5apache2_4.dll はオフィシャルバイナリに含まれているので,新旧のファイルを入れ替えて php.ini を放り込み, Apache をrestartするだけ。

 新規に導入する方は,必要なら「Windows7上にWamp系WebServerを建てる-#2。」を参考にしてください。

「本家のお世話-#84。(PHP5.5.6へアップデート)」への10件の返信

こんばんは。
もう5.5.6ですか、はやいですね。

CentOS7ですが、もしかしたらapache2.4になるかもしれません。
red hat はFedoraというOSに資金提供をしており、それを採用しております。Fedora19はapache2.4らしいですな。しかも、MariaDBです。

こんばんは。

> もう5.5.6ですか、はやいですね。

新しいのにするのが,趣味ですから。キッパリ。ハハハ。(大汗+爆)

> Fedora19はapache2.4らしいですな。しかも、MariaDBです。

そういえば,この間ググったときに,「Fedora19を使ってRHEL7のおケーコをしておきましょう」的な話を,チラチラ見かけましたよ。

PHP、私は慎重派なので推奨に設定です。
で、使っているXserverのWPをアップさせるために推奨のPHP5.3.3にしました。
WPは同一ドメインでいくつかあるのですが、PHPをアップしたら、アップしていないほうのWPの動きが変になりました。
まあ、どれも試験運用だから気軽ですけど。

【PHP5.1.6】【PHP5.3.3】
 保守性を重視したバージョンです。セキュリティ修正などは原則パッチ処理により行われ、長期的に同じバージョンが維持される予定です。通常は新しい安定版であるPHP5.3.3の利用をお勧めしています。

【PHP5.2.x】【PHP5.4.x】【PHP5.5.x】
 新機能の追加やセキュリティ修正の際にはバージョンUPが行われます。バージョンUPにより仕様が変更される可能性があるため、保守性よりも機能性が重視されたバージョンになります。
 
と書いてありました。PHPの機能性って、テキパキ動くとか?

WP以外にも、使っているプログラムで、PHPのバージョンも厳密なのかな?

> PHP、私は慎重派なので推奨に設定です。

それが,当たり前だと思いますよ。なんかものすごく前に書いたことがある気がするのですが,もともと,自宅サーバを建てた理由というのが,サーバの運営そのものに対する興味であったわけで(最近のうちのブログの状態を見るとそうも思えないでしょうが),私の場合の自宅サーバは,それ自身がりりさんがお書きの試験運用みたいなものです。したがって,いまだに新しいのにするのが趣味なわけです(爆)。バージョンアップしたせいで動かなくなっても,困るのは私だけですし。といいつつ,この間,「ネットラジオのはじめ方-#5。」の魚拓を見つけて驚いてしまいましたが。ブックマークくらいは経験ありますが,魚拓とは!! 新バージョンのシャウトキャスト関係は情報が少ないので,ネットラジオユーザの方が作ったようですが,感無量でした。

本題に戻って…Linuxサーバに簡単に移行できなかった理由も,各サーバソフトの最新版で行こうとしたせいだといっても過言ではありません。あの時点でそれを達成しようとすると,全部「ビルドから行って」みたいなことになり,自分で決めた目標に達せないまま,Windows7をサーバOSにしてしまいました(汗)。

> セキュリティ修正などは原則パッチ処理により行われ

これがきっちり行われている限り,ユーザ側はバージョンアップをする必要はありません。私はそう思っています。もちろん自分のやりたいことができている状態ならというのは当然ですが。

PHP5.1.6などは私のような素人運営者が使う場合には,セキュリティ修正などが行われている状態ではないので,使用は論外になります。PHPの公式はもうこのバージョンのメンテをやってくれていません。RHELの込みでパッチが出ているのではないかと思いますが,Xserverの場合は,そこはちゃんとしているでしょうし,他の新しいバージョンも動かせるということは,スタッフが日々精進しているということを如実に示していると思います。したがって,お勧めできるホスティングサービスの一つと言っていいわけです。

> PHPの機能性って、テキパキ動くとか?

もあるでしょうが,何よりも,新バージョンクライアントプログラムが動くか動かないかということではないですか。
私の場合の各サーバソフトのバージョンアップの主眼はあくまでも,セキュリティ面ですけど。

> WP以外にも、使っているプログラムで、PHPのバージョンも厳密なのかな?

うちでは,WordPressしか使っていないし,自分のところで,バージョンアップをするときは,前もって対応状況を調べてからするので,その辺はわかりませんが,何らかのプログラムが動かなくなるほどひどい目にあったことはありません。他の方の記事を見ると,WordPress内のメンテのできていないプラグインが使えなくなることはあるようです。でも,本来そういうプラグインは使えたとしても使用をやめるべきです。これは,WorPressの公式でも,気を付けるように言われていることです。メンテができていないというのは,脆弱性が存在していても作者が対処してくれないということだから,自分でその対処ができる力量がない場合は,使うべきではありません。

そういえば,PHPではなく,Perlですが,AWStatsはバージョンアップしたらある部分のログが取れなくなって,パッチを作ったことがあります。

わーっ,長くなってしまいました。悪しからず。

こんにちは
>RHEL7のおケーコをしておきましょう」的な話を,チラチラ見かけましたよ。

そのお稽古した人のサイトをみて私はオケーコします(笑)
冗談はさておき、なんでもそうですが、私のサーバーでテストして会社のサーバーに適用するようにしています。

しかし、もうサーバーを4台新しくしちゃったんでね(4台もまともなサーバーじゃないものがうごいていたという異常な状態でしたけど)。移転は当分ないですね。CentOS5のサポートも2017年までありますしそのころはCentOS8でしょう。

今のサーバーがどうなるかわかりませんので準備だけはしておきます。

こんにちは。

寒いです。暖房は PC の熱だけです,ナンチャッテ。そちらは,どうですか。

> 私のサーバーでテストして会社のサーバーに適用するようにしています。

ですね。やはり,不都合が起きても大丈夫なテスト環境というものは大切です。私の自宅サーバは,くりくりさんの「私のサーバー」と「会社のサーバー」のうち,「私のサーバー」が残った状態なもので,それ自身が試験運用みたいことになっています(汗)。

> そのころはCentOS8でしょう。

そうですか。まだ,4年もありますね。世の中,平穏に行ってほしいものですが……それにしても,その頃も,変化についていけてるでしょうか。遠い目になってしまうなあ。

あまりに寒いので,さすがに暖房の手当てに取り掛かります。では。

こんにちは
Fedora19お稽古中です(笑)

インストールして色々ためした結果
php-5.5.6でapahceは2.4でした。ざっと見た感じ知識は0ではないので調べればなんとかなりそうな感じでした。

MariaDBというものを自分はpostgresqlみたくmysqlとまったく
別物と考えていましたが、そうではなくまったく同じものみたいです。ここら辺の差異をしらべなくては・・・。

こんにちは。

相変わらず,素早いですね。この間ググったときの話では,MySQL5.5≒MariaDB5.5というところらしいです。まだ,分かれて間がないからですかね。

ところで,WordPressのMariaDB対応はどのへんなんだろうと思って調べていましたら,Debian上ですが,Nginxを使ったこんなのがありました。一年くらい前の記事で,問題なく動いているようですね。
Compiling and installing from source the awesome stack Nginx with SSL, PHP, MariaDB and WordPress on Debian Wheezy
・Upgrade source installation of MariaDB server
・Upgrade Nginx and keep it up-to-date the easy way
・Upgrade source installation of PHP

こんばんは
>WordPressのMariaDB対応はどのへんなんだろうと思って調べていましたら
自分も調べてみてもあんまりmysqlとかわらないぽいです。
どうなることになるやら・・・。

さてFedora19でwordpressうごかしてまでやってみるつもりです。
apache2.4をTODOSにスレを立てまったりとやっていくつもりです。その前に新しいFWとかsshクリアしないといけませんけど

こんばんは。

> apache2.4をTODOSにスレを立てまったりとやっていくつもりです。

楽しみにしています。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です